Bug 166433 - internal error: Segmentation fault when float is used as loop variable
Summary: internal error: Segmentation fault when float is used as loop variable
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: rhl9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-21 09:17 UTC by Need Real Name
Modified: 2007-04-18 17:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 14:43:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2005-08-21 09:17:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
$ g++ -c segtest.cc 
segtest.cc: In function `void test3()':
segtest.cc:3: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

$ cat segtest.cc 
void test3() {
    float f;
    for(f=0.01; f < 0.5; f += 0.01) {
    }
}

int main(int argc, char **argv) {
    return 0;
}




Version-Release number of selected component (if applicable):
gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)

How reproducible:
Always

Steps to Reproduce:
1. g++ -c segtest.cc 


Actual Results:  gcc segfaulted

Expected Results:  gcc should have compiled the program

Additional info:

Comment 1 Vladimir Makarov 2005-09-29 14:43:33 UTC
I can not reproduce the bug.  I used exactly the same version of gcc

gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)

under RHL9.


Note You need to log in before you can comment on or make changes to this bug.